Bug 235448 - Big Problems with FC 7 test 3
Big Problems with FC 7 test 3
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-05 16:29 EDT by Werner Landgraf
Modified: 2014-03-16 23:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 15:37:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Werner Landgraf 2007-04-05 16:29:48 EDT
Description of problem:

see   my post in a forum, about the SERVERE Problems with FC 7 test 3:
http://serversupportforum.de/forum/smalltalk/15480-bye-bye-redhat-fedora.html#post104140   

A part of the problems may be caused, because F7-test3 was installed on the 3. 
partition of 12.  However, even so it have to work, the 11 other distros are 
working too ...

CORRECT THE ERRORS !!   BE CAREFUL NOT TO FALL, LIKE MANDRAKE FALLED !!!

Werner Landgraf




===============================================================================
MY POST IN A FORUM, ABOUT THE PROBLEMS:
===============================================================================
bye,bye RedHat/Fedora !!
	

Red Hat / Fedora hat es jetzt auch erwischt. Voll. Viele blödsinnige 
Änderungen, und zunehmend weniger funktioniert. Dasselbe wie vor rd. 3 Jahren 
bei Mandrake, und fast in der selben Weise. Sehr bedauerlich, ebenso wie 
damals auch jenes, hatte ich eine gute Meinung über die Qualität (knapp nach 
Slackware) und es auch manchmal benutzt; noch vor rd. 2 Jahren hatte ich beide 
auch vorzugsweise bei anderen Leuten installiert da zum Lernen/Bekanntwerden 
mit Linux gut gewesen. Schon bei der vorigen Version hat sich die Dekadenz 
angedeutet, waren die Mängel aber noch behebbar, das ist jetzt nicht mehr der 
Fall.

Ich habe vorgestern Fedora 7 Test 3 downgeladen. Das ist zwar noch eine 
Test-Version, aber erstens schon eine fortgeschrittene bei der keine größeren 
Mängel mehr vorhanden sein sollten, zweitens sind die meisten Mängel vom 
Konzept her.


/ Versucht man einen update, Absturz u.a. wegen /usr/tmp ; löscht man es, wird 
es automatisch wieder eingerichtet
/ Wichtige Programme wie lilo, mc fehlen, andere werden nur manchmal 
gefunden . Dafür sind Probleme wie pam, selinux dabei
/ dev ist leer, sollte von udevd besetzt werden, was aber nicht richtig 
funktioniert. Dorthin vorbesetzte (von anderer Distro kopierte) Dateien werden 
gelöscht. mknod gehört zu den fehlenden Programmen, sodaß man auch keine 
selbst bzw in rc.local einrichten kann
/ IDE-devices werden sda statt hda bezeichnet. Das schließt u.a. aus, daß man 
es zusammen mit anderen Distros installiert, wo in lilo.conf diese Devices hda 
heißen
/ grub, grub-install funktionieren nicht richtig (lilo nicht in der Distro), 
u.a. wird /boot/grub/device.map nicht richtig erzeugt und (wenn man es manuell 
hinzufügt) immer wieder gelöscht . Nach der Installierung funktioniert grub 
nicht, egal ob in den MBR noch in den Boot-Sektor der Partition installiert 
(also man kommt nur via rescue-Disk / chroot rein)
/ In /etc/fstab Root-Device via LABEL= ... bezeichnet, Abändern (in /dev/hdaX 
oder /dev/sdaX) funktioniert nicht. Ebensowenig direkter Aufruf via lilo 
welches unter einer anderen Distro/Partition installiert wurde (auch wenn man 
vmlinuz, initrd etc. in dessen /boot kopiert usw). Überhaupt daß beim 
Einrichten schon zwangsweise LABEL=/ eingerichtet wird, stört dieselbe 
Verwendung für andere Distros / Partitionen. Beim Booten werden u.a. /dev/root 
und /etc/fstab.sys verlangt, die nicht da sind und beim manuellen Einrichten 
immer wieder gelöscht werden. Ich habe 12 Distros installiert, von denen keine 
derartige Probleme hat ...
/ Kernel-Module ext4dev, jbd2 sind zwar da, aber mounten weder automatisch, 
noch mit modprobe oder insmod (Fehlermeldung daß sie nicht da wären)
/ Als root gdm/kdm nicht erlaubt
/ kpackage funktioniert nicht, auch kein anderer Paket-Manager vhd, nur 
Test/download neuer Versionen

usw usf

Bei der letzten Version hatte das Reparieren per Hand 2 Std. gedauert, diesmal 
habe ich 2 Tage gebraucht bis es halbwegs läuft ; scheinbar wurden ganz 
konsequent Vorkehrungen getroffen daß man nichts einfach ändern kann ...

__________________
www.monkey.is-a-geek.net ; www.boxen.dyn-o-saur.com ; 
www.genocidefrenchguyana.homeunix.org ;
www.copaya.yi.org Läuft mit Linux Slackware 11.0 (Kernel 
2.6.21-rc5-git3-i486-monkeynet)
=====================================================================





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Werner Landgraf 2007-04-05 16:32:49 EDT
Analyse careful my report. These problems are so big, that Iself would not use 
longer Fedora Linux.  Good that all these problems are absent on Slackware, 
what Im using currently, without problems, for my desktop, web-server, 
irc-server, e-mail server, etc     watch at  www.copaya.yi.org
Comment 2 Robert Scheck 2007-04-05 16:59:06 EDT
First it looks like to me whether you're not able to write usable bug reports 
to the Fedora Community. Hopefully you can understand my explanations more 
rather reading e.g. the Release Notes and understanding, what is done why and 
that FC 7 test 3 is not ready for production use in any case. Ah and *never* 
write German bug reports if a larger community should understand and maybe even 
fix your (possible) problems.

> / Versucht man einen update, Absturz u.a. wegen /usr/tmp ; löscht man es, 
> wird es automatisch wieder eingerichtet

How did you try the update? Are you able to provide error messages or something 
we're able to reproduce the problem?

> / Wichtige Programme wie lilo, mc fehlen, andere werden nur manchmal 
> gefunden . Dafür sind Probleme wie pam, selinux dabei

Nice. Did you ever try to install mc (e.g. using "yum install mc")? Which 
programs are only found sometimes and sometimes not? Can you name them as well 
as the exact error messages or are you able to provide any way to reproduce? 
Well, lilo is simply obsolete and depricated, why do you want to use it?  

> / dev ist leer, sollte von udevd besetzt werden, was aber nicht richtig 
> funktioniert. Dorthin vorbesetzte (von anderer Distro kopierte) Dateien 
> werden gelöscht. mknod gehört zu den fehlenden Programmen, sodaß man auch 
> keine selbst bzw in rc.local einrichten kann

Uff. You shouldn't copy files into /dev/* first, that sounds to me like you 
don't know what you're doing. Oh and mknod *is* available in fact, because it's 
in coreutils and you've got cp, mv, rm, etc. do you? If there are problems with 
udevd please file a separate bug report to the corresponding component (udev). 
Oh and my 3rd party software is able to create device files as well if they're 
needed, looks like you're doing something wrong...

> / IDE-devices werden sda statt hda bezeichnet. Das schließt u.a. aus, daß man 
> es zusammen mit anderen Distros installiert, wo in lilo.conf diese Devices 
> hda heißen / grub, grub-install funktionieren nicht richtig (lilo nicht in 
> der Distro), u.a. wird /boot/grub/device.map nicht richtig erzeugt und (wenn 
> man es manuell hinzufügt) immer wieder gelöscht . Nach der Installierung 
> funktioniert grub nicht, egal ob in den MBR noch in den Boot-Sektor der 
> Partition installiert > (also man kommt nur via rescue-Disk / chroot rein)
> / In /etc/fstab Root-Device via LABEL= ... bezeichnet, Abändern (in /dev/hdaX 
> oder /dev/sdaX) funktioniert nicht. Ebensowenig direkter Aufruf via lilo 
> welches unter einer anderen Distro/Partition installiert wurde (auch wenn man 
> vmlinuz, initrd etc. in dessen /boot kopiert usw). Überhaupt daß beim 
> Einrichten schon zwangsweise LABEL=/ eingerichtet wird, stört dieselbe 
> Verwendung für andere Distros / Partitionen. Beim Booten werden u.a. /dev/
> root und /etc/fstab.sys verlangt, die nicht da sind und beim manuellen 
> Einrichten immer wieder gelöscht werden. Ich habe 12 Distros installiert, von 
> denen keine derartige Probleme hat ...

I'm not absolutely sure about sdX vs. hdX, but IIRC this was a change in kernel 
(or within a module) and sooner or later each Linux distribution providing up-
to-date stuff will switch to this behaviour.

> / Kernel-Module ext4dev, jbd2 sind zwar da, aber mounten weder automatisch, 
> noch mit modprobe oder insmod (Fehlermeldung daß sie nicht da wären)

Sorry, but you can't mount kernel modules...you even can try to load them. But 
why the hell do you want ext4dev (which is not ready for production use in any 
case)?

> / Als root gdm/kdm nicht erlaubt

Are you able to provide a error message? If yes, file a report against e.g. gdm.

> / kpackage funktioniert nicht, auch kein anderer Paket-Manager vhd, nur 
> Test/download neuer Versionen

There is only ONE package manager within Fedora and that's RPM. Everything else 
is a frontend or an update tool (e.g. yum).

> usw usf

Etc., etc., etc. always helps us :)

> Bei der letzten Version hatte das Reparieren per Hand 2 Std. gedauert,
> diesmal habe ich 2 Tage gebraucht bis es halbwegs läuft ; scheinbar wurden 
> ganz konsequent Vorkehrungen getroffen daß man nichts einfach ändern kann ...

Read the release notes first and understand what PAM and SELinux, udev, etc.
are for - before using Fedora. When buying a car, I first need to get a drivers 
license (means you know how to drive the car), but unfortunately this isn't the 
same case at computers :(
Comment 3 Bill Nottingham 2007-09-18 15:37:43 EDT
Closing - no response to the query for more information.

Note You need to log in before you can comment on or make changes to this bug.